## python-pycdlib 1.12.0+ds1

=== Makefile ===
clean:
	rm -rf htmlcov python-pycdlib.spec dist MANIFEST .coverage profile build *.lprof .mypy_cache
	find . -iname '*~' -exec rm -f {} \;
	find . -iname '*.pyc' -exec rm -f {} \;

deb:
	debuild -i -uc -us -b

docs:
	groff -mandoc -Thtml man/pycdlib-explorer.1 > docs/pycdlib-explorer.html
	groff -mandoc -Thtml man/pycdlib-extract-files.1 > docs/pycdlib-extract-files.html
	groff -mandoc -Thtml man/pycdlib-genisoimage.1 > docs/pycdlib-genisoimage.html
	./custom-pydoc.py > docs/pycdlib-api.html

flake8:
	-flake8-3 --ignore=E501,E266 --max-complexity 80 pycdlib tools/*

# kernprof-3 comes from the "line_profiler" package.  It allows performance
# profiling on a line-by-line basis, but needs to be told which functions to
# profile by using an "@profile" decorator on particular functions.  The easiest
# way to use this is to profile using the built-in cProfile module (like the
# "profile" target), then mark the hotspots with "@profile", and then run
# the "lineprof" target.
lineprof:
	kernprof-3 -v -l /usr/bin/py.test-3 --verbose tests

mypy:
	mypy --ignore-missing-imports -m pycdlib

profile:
	python3 -m cProfile -o profile /usr/bin/py.test-3 --verbose tests
	python3 -c "import pstats; p=pstats.Stats('profile');p.strip_dirs();p.sort_stats('time').print_stats(30)"

pylint:
	-pylint-3 --rcfile=pylint.conf pycdlib tools/*

rpm: sdist
	rpmbuild -ba python-pycdlib.spec --define "_sourcedir `pwd`/dist"

sdist:
	python3 setup.py sdist

slowtests:
	-PYCDLIB_TRACK_WRITES=1 [ -x /usr/bin/python2 ] && py.test --basetemp=/var/tmp/pycdlib-tests --runslow --verbose tests
	PYCDLIB_TRACK_WRITES=1 py.test-3 --basetemp=/var/tmp/pycdlib-tests --runslow --verbose tests

srpm: sdist
	rpmbuild -bs python-pycdlib.spec --define "_sourcedir `pwd`/dist"

test-coverage:
	PYCDLIB_TRACK_WRITES=1 coverage3 run --source pycdlib /usr/bin/py.test-3 --basetemp=/var/tmp/pycdlib-tests --runslow --verbose tests
	coverage3 html
	xdg-open htmlcov/index.html

tests:
	-[ -x /usr/bin/python2 ] && py.test --verbose tests
	py.test-3 --verbose tests

.PHONY: clean deb docs flake8 lineprof mypy profile pylint rpm sdist slowtests srpm test-coverage tests

## python-pycdlib 1.11.0

=== debian/changelog ===
python-pycdlib (1.11.0-0ubuntu1) impish; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Jul 2021 14:07:16 -0400

=== debian/control ===
Source: python-pycdlib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pycdlib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pycdlib
Homepage: https://github.com/clalancette/pycdlib

Package: python3-pycdlib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to read and write ISOs
 PyCdlib is a pure python library to parse, write (master), and create ISO9660
 files, suitable for writing to a CD or USB.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycdlib
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pycdlib/pycdlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pycdlib 1.12.0+ds1

=== debian/changelog ===
python-pycdlib (1.12.0+ds1-7) unstable; urgency=medium

  * Run tests only if /tmp is in tmpfs, because otherwise they are
    known to fail. (Closes: #1002789).

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Aug 2024 11:31:58 +0200

python-pycdlib (1.12.0+ds1-6) unstable; urgency=medium

  * Cleans egg-info and .pytest_cache folder on clean.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 22:52:39 +0100

python-pycdlib (1.12.0+ds1-5) unstable; urgency=medium

  * Add Use-tmp_path-instead-of-tmpdir.patch (Closes: #1002789).
  * Blacklist test_volumedescdate_new_nonzero and test_gmtoffset_from_tm.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 16:26:37 +0100

python-pycdlib (1.12.0+ds1-4) unstable; urgency=medium

  * Add fix-getargspec-removed-from-py3.11.patch (Closes: #1030535).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Oct 2022 15:46:06 +0200

python-pycdlib (1.12.0+ds1-3) unstable; urgency=medium

  * Add Rules-Requires-Root: no to avoid #1001961 (Closes: #1002441).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 15:05:34 +0100

python-pycdlib (1.12.0+ds1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:58:17 +0200

python-pycdlib (1.12.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #994804)

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Sep 2021 09:58:51 +0200

=== debian/control ===
Source: python-pycdlib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 genisoimage,
 python3-pytest,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-pycdlib
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-pycdlib.git
Homepage: http://github.com/clalancette/pycdlib
Rules-Requires-Root: no

Package: python3-pycdlib
Architecture: all
Depends:
 genisoimage,
 ${misc:Depends},
 ${python3:Depends},
Description: Pure python ISO manipulation library
 PyCdlib is a pure python library to parse, write (master), and create ISO9660
 files, suitable for writing to a CD or USB. The original ISO9660 (including
 ISO9660-1999) specification is supported, as well the El Torito, Joliet, Rock
 Ridge, and UDF extensions.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := http://github.com/clalancette/pycdlib
include /usr/share/openstack-pkg-tools/pkgos.make

TMP_IS_TMPFS := $(shell egrep -q "^tmpfs[[:space:]]+/tmp[[:space:]]" /proc/mounts && echo true || echo false)

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
ifeq ($(TMP_IS_TMPFS),true)
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PATH=$$PATH:$(CURDIR)/debian/tmp/usr/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests -k 'not test_volumedescdate_new_nonzero and not test_gmtoffset_from_tm'; \
	done
endif
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pycdlib/pycdlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pycdlib 1.14.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
cmake_policy(SET CMP0015 OLD)
PROJECT (cdrkit C)
SUBDIRS(include genisoimage wodim libedc libhfs_iso libusal librols libunls readom netscsid 3rd-party/dirsplit)

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	xdg-open htmlcov/index.html
 
 tests:
-	-[ -x /usr/bin/python2 ] && py.test --verbose tests
+	-[ -x /usr/bin/py.test-2 ] && py.test-2 --verbose tests
 	py.test-3 --verbose tests
 
 .PHONY: clean deb docs flake8 lineprof mypy profile pylint rpm sdist slowtests srpm test-coverage tests

=== icedax/CMakeLists.txt ===
PROJECT (icedax C)
INCLUDE_DIRECTORIES(../include ../wodim ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
include(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)
include(../include/AddNetworkBits.cmake)
INCLUDE (CheckLibraryExists) 

FIND_FILE (HAVE_SYS_SOUNDCARD_H sys/soundcard.h)
IF(HAVE_SYS_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_SYS_SOUNDCARD_H)
ENDIF(HAVE_SYS_SOUNDCARD_H)
FIND_FILE (HAVE_LINUX_SOUNDCARD_H linux/soundcard.h)
IF(HAVE_LINUX_SOUNDCARD_H)
    ADD_DEFINITIONS(-DHAVE_LINUX_SOUNDCARD_H)
ENDIF(HAVE_LINUX_SOUNDCARD_H)

FIND_LIBRARY(HAVE_LIBOSSAUDIO "ossaudio")
IF(HAVE_LIBOSSAUDIO)
   LIST(APPEND EXTRA_LIBS "ossaudio")
ENDIF(HAVE_LIBOSSAUDIO)

CHECK_INCLUDE_FILES(cdda/cdda_interface.h HAVE_CDDA_INTERFACE_H)
CHECK_LIBRARY_EXISTS (cdda_paranoia paranoia_init "" HAVE_LIBPARANOIA)
IF(HAVE_CDDA_INTERFACE_H AND HAVE_LIBPARANOIA)
   LIST(APPEND EXTRA_LIBS cdda_paranoia cdda_interface)
ELSE(HAVE_CDDA_INTERFACE_H AND HAVE_LIBPARANOIA)
   MESSAGE(FATAL_ERROR "You need cdparanoia library installed")
ENDIF(HAVE_CDDA_INTERFACE_H AND HAVE_LIBPARANOIA)
	
LIST(APPEND EXTRA_LIBS)
IF (WIN32)
	LIST(APPEND EXTRA_LIBS winmm)
ENDIF (WIN32)

LINK_DIRECTORIES(../librols ../libusal)
ADD_EXECUTABLE (icedax aifc.c aiff.c base64.c icedax.c interface.c ioctl.c raw.c resample.c ringbuff.c scsi_cmds.c semshm.c setuid.c sha_func.c sndconfig.c sun.c toc.c wav.c)
TARGET_LINK_LIBRARIES(icedax wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(icedax PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS icedax DESTINATION bin)
INSTALL(PROGRAMS pitchplay readmult cdda2mp3 cdda2ogg DESTINATION bin)
INSTALL(FILES cdda2ogg.1 icedax.1 pitchplay.1 readmult.1 list_audio_tracks.1 DESTINATION ${MANSUBDIR}/man1)

=== librols/CMakeLists.txt ===
PROJECT (LIBROLS C)
INCLUDE_DIRECTORIES(../include ../libhfs_iso ${CMAKE_BINARY_DIR} ../wodim ${CMAKE_BINARY_DIR}/include)

SET(LIBROLS_SRCS  astoi.c astoll.c astoull.c breakline.c cmpbytes.c comerr.c error.c fexec.c fillbytes.c getargs.c getav0.c getdomainname.c geterrno.c gethostid.c gethostname.c getpagesize.c handlecond.c movebytes.c raisecond.c rename.c saveargs.c seterrno.c spawn.c strcatl.c strdup.c streql.c swabbytes.c usleep.c stdio/cvmod.c stdio/dat.c stdio/fcons.c stdio/fdown.c stdio/fdup.c stdio/ffileread.c stdio/ffilewrite.c stdio/fgetline.c stdio/file_raise.c stdio/fileclose.c stdio/fileluopen.c stdio/filemopen.c stdio/fileopen.c  stdio/filepos.c stdio/fileread.c stdio/filereopen.c stdio/fileseek.c stdio/filesize.c stdio/filestat.c stdio/filewrite.c stdio/flag.c stdio/flush.c stdio/fpipe.c stdio/niread.c stdio/niwrite.c stdio/nixread.c stdio/nixwrite.c stdio/openfd.c stdio/peekc.c default.c)

ADD_LIBRARY (rols SHARED ${CMAKE_CURRENT_SOURCE_DIR}/../include/xconfig.h  ${CMAKE_CURRENT_SOURCE_DIR}/../include/align.h ${LIBROLS_SRCS})
SET_TARGET_PROPERTIES(rols PROPERTIES
    VERSION 0.0.1
    SOVERSION 0
)

INSTALL(TARGETS rols DESTINATION lib${LIB_SUFFIX})

=== libusal/CMakeLists.txt ===
PROJECT (LIBSCG C)
INCLUDE_DIRECTORIES(../include ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
include(../include/AddScgBits.cmake)
ADD_DEFINITIONS(-DUSE_RCMD_RSH)

#SET(LIBSCG_SRCS rdummy.c usalsettarget.c usaltimes.c scsi-linux-ata.c scsi-linux-pg.c scsi-linux-sg.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c)
SET(LIBSCG_SRCS usalsettarget.c usaltimes.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c scsi-remote.c)
LINK_DIRECTORIES(../librols)
ADD_LIBRARY (usal SHARED ${LIBSCG_SRCS})

TARGET_LINK_LIBRARIES(usal ${SCG_SELF_LIBS})
SET_TARGET_PROPERTIES(usal PROPERTIES
    VERSION 0.0.1
    SOVERSION 0
)
INSTALL(TARGETS usal DESTINATION lib${LIB_SUFFIX})
INSTALL(FILES usal/scsicdb.h usal/aspi-dos.h usal/usalcmd.h usal/usalio.h usal/scsireg.h usal/usalops.h usal/scsidefs.h usal/spti-wnt.h usal/srb_os2.h usal/scsitransp.h usal/aspi-win32.h usal/scsisense.h usaltimes.h pg.h DESTINATION include/usal)

=== debian/changelog ===
python-pycdlib (1.14.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix-getargspec-removed-from-py3.11.patch not needed anymore.
  * Rebased Use-tmp_path-instead-of-tmpdir.patch.
  * d/watch: use mode=git, version=4.
  * d/copyright: fix license ref and years.
  * Cosmetic fix long desc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 08:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Pure python ISO manipulation library
- PyCdlib is a pure python library to parse, write (master), and create ISO9660
+ PyCdlib is a pure Python library to parse, write (master), and create ISO9660
  files, suitable for writing to a CD or USB. The original ISO9660 (including
  ISO9660-1999) specification is supported, as well the El Torito, Joliet, Rock
  Ridge, and UDF extensions.

=== debian/watch ===
version=3
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/,dversionmangle=s/\+ds\d*$//" \
https://github.com/clalancette/pycdlib refs/tags/v(\d[brc\d\.]+)
